#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 5. File Systems and Disk Management

- Prev

  btrfs-progs-6.13

- Next

  Fuse-3.16.2

- Up
- Home

# dosfstools-4.2

## Introduction to dosfstools

The dosfstools package contains various utilities for use with the FAT family of file systems.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/dosfstools/dosfstools/releases/download/v4.2/dosfstools-4.2.tar.gz

- Download MD5 sum: 49c8e457327dc61efab5b115a27b087a

- Download size: 314 KB

- Estimated disk space required: 4.5 MB (with tests)

- Estimated build time: less than 0.1 SBU

## Kernel Configuration

Enable the following option in the kernel configuration and recompile the kernel if you need to mount a FAT-family filesystem:

    File systems --->
      DOS/FAT/EXFAT/NT Filesystems --->
        < /*/M> MSDOS fs support                                          [MSDOS_FS]
        <*/M>   VFAT (Windows-95) fs support                               [VFAT_FS]

Note that `CONFIG_MSDOS_FS` deliberately does not support long file names. `CONFIG_VFAT_FS` should be used instead unless you really want to enforce the DOS-style “8.3” file names.

You can mount a FAT-family filesystem once the kernel supports it. If you don't need to create, check, or relabel a FAT-family system, you may skip this package.

## Installation of dosfstools

Install dosfstools by running the following commands:

    ./configure --prefix=/usr            \
                --enable-compat-symlinks \
                --mandir=/usr/share/man  \
                --docdir=/usr/share/doc/dosfstools-4.2 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-compat-symlinks`: This switch creates the dosfsck, dosfslabel, fsck.msdos, fsck.vfat, mkdosfs, mkfs.msdos, and mkfs.vfat symlinks required by some programs.

## Contents

Installed Programs: fatlabel, fsck.fat, and mkfs.fat

### Short Descriptions

fatlabel | sets or gets a MS-DOS filesystem label from a given device
fsck.fat | checks and repairs MS-DOS filesystems
mkfs.fat | creates an MS-DOS filesystem under Linux

- Prev

  btrfs-progs-6.13

- Next

  Fuse-3.16.2

- Up
- Home